Subscribe
Accepted Solution

Harvest CDOT 9.3 HTTP Error: 400

 

After Upgrading to CDOT 9.3,  Harvest polling is no longer working.  The poller returns the following:

 

[2018-01-30 12:07:52] [NORMAL ] WORKER STARTED [Version: 1.4] [Conf: netapp-harvest.conf] [Poller: Netapp_Cluster]
[2018-01-30 12:07:52] [NORMAL ] [main] Poller will monitor a [FILER] at [xxx.xxx.xxx.xxx:443]
[2018-01-30 12:07:52] [NORMAL ] [main] Poller will use [ssl_cert] authentication with ssl_cert [netapp-harvest.pem] and ssl_key [netapp-harvest.key]
[2018-01-30 12:07:52] [WARNING] [sysinfo] Update of system-info cache DOT Version failed with reason: Server returned HTTP Error: 400 Bad
[2018-01-30 12:07:52] [WARNING] [main] system-info update failed; will try again in 10 seconds.
[2018-01-30 12:08:03] [WARNING] [sysinfo] Update of system-info cache DOT Version failed with reason: Server returned HTTP Error: 400 Bad

[2018-01-30 12:08:03] [WARNING] [main] system-info update failed; will try again in 10 seconds

 

What has changed with CDOT 9.3 that might be causing this?

 

Prior to the ONTAP upgrade, we were running Harvest 1.3 - upgrading to 1.4 did not resolve the problem.

 

Any tips here would be appreciated - Thanks,

 

Re: Harvest CDOT 9.3 HTTP Error: 400

Resolved - Netapp Manageability SDK 9.3 is required.

 

Installed the new SDK,  restarted pollers, all is good.

 

                  /var/tmp# unzip -j netapp-manageability-sdk-9.3.zip -d /opt/netapp-harvest/lib

 

 

Re: Harvest CDOT 9.3 HTTP Error: 400

[ Edited ]

took a while to find it, got it here, and it fixed 9.3   https://mysupport.netapp.com/NOW/download/software/nmsdk/9.3/download.shtml

 

 

 /var/tmp# unzip -j netapp-manageability-sdk-9.3.zip -d /opt/netapp-harvest/lib

 

 

also had to copy 9.2 template to 9.3 

 

cp /opt/netapp-harvest/template/default/cdot-9.2.0.conf /opt/netapp-harvest/template/default/cdot-9.3.0.conf

 


@MikeC_12 wrote:

Resolved - Netapp Manageability SDK 9.3 is required.

 

Installed the new SDK,  restarted pollers, all is good.

 

                  /var/tmp# unzip -j netapp-manageability-sdk-9.3.zip -d /opt/netapp-harvest/lib

 

 


 

 

 

 

Re: Harvest CDOT 9.3 HTTP Error: 400

Hello All -

Understand this is marked as solved and I wish it were for us!  However, we are experiencing issues where we receive the errors below after uprading to ONTAP 9.3.  Since uprading ONTAP we have upgraded Harvest to 1.4 and the SDK version to 9.3.  Harvest and the SDK are deployed on a dedicated host, not an OVA, feeding to an external Graphite instance.  Is anyone experiencing issues?  Thanks in advance.

 

Regards

Mike 

 

[2018-06-23 14:03:04] [WARNING] [disk:constituent] update of data cache failed with reason: Server returned HTTP Error: 400 Bad

[2018-06-23 14:03:04] [WARNING] [disk:constituent] data-list poller refresh overdue; skipped [1] poll(s) from [2018-06-23 14:04:00] to [2018-06-23 14:04:00]

[2018-06-23 14:03:04] [WARNING] [disk:constituent] data-list update failed.

[2018-06-23 14:03:04] [WARNING] [ext_cache_obj] update of data cache failed with reason: Server returned HTTP Error: 400 Bad

[2018-06-23 14:03:04] [WARNING] [ext_cache_obj] data-list poller refresh overdue; skipped [1] poll(s) from [2018-06-23 14:04:00] to [2018-06-23 14:04:00]

[2018-06-23 14:03:04] [WARNING] [ext_cache_obj] data-list update failed.

[2018-06-23 14:03:04] [WARNING] [fcp_lif] update of data cache failed with reason: Server returned HTTP Error: 400 Bad

[2018-06-23 14:03:04] [WARNING] [fcp_lif] data-list poller refresh overdue; skipped [1] poll(s) from [2018-06-23 14:04:00] to [2018-06-23 14:04:00]

[2018-06-23 14:03:04] [WARNING] [fcp_lif] data-list update failed.